> For the complete documentation index, see [llms.txt](https://docs.truecaller.com/truecaller-sdk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.truecaller.com/truecaller-sdk/android/oauth-sdk-3.0.0/integration-steps/non-truecaller-user-verification/completing-verification.md).

# Completing Verification

Once you receive a callback in your VerificationCallback instance with the callbackType `TYPE_MISSED_CALL_RECEIVED`, you can complete the verification process by calling the following method from within your activity :

Copy

```
TrueProfile profile = new TrueProfile.Builder(firstName, lastName).build();
TcSdk.getInstance().verifyMissedCall(profile, verificationCallback)
```

You need to create a TrueProfile instance by passing the user's first and last name as defined above.

Please note that the first name and last name values to be passed in the above method call need to follow below mentioned rules :

* The strings need to contains at least 1 alphabet, and cannot be completely comprised of numbers or special characters.
* String length should be less than 128 characters.
* First name is a mandatory field, last name can be empty ( but non nullable ).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.truecaller.com/truecaller-sdk/android/oauth-sdk-3.0.0/integration-steps/non-truecaller-user-verification/completing-verification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
